Konuyu Oyla:
  • Derecelendirme: 0/5 - 0 oy
  • 1
  • 2
  • 3
  • 4
  • 5
install_failed_older_sdk hatası
#1
İyi günler

Delphi 10.1 berlinde hazırladığım programı eski tablette ve yeni model telefonda  test ediyorum. normal çalışıyor.
Delphi rio ile derleyince yeni model telefonda çalışıyor tablette  install_failed_older_sdk hatası alıyorum.

Tablet deki versiyonun eski olduğunu biliyorum berlinde calışıyor rio da çalışmıyor.

Delphi berlin ile rio sdk versiyonları aynı Api 25, 27,28 rio ya gecince 29 ekliyor. 

derleme aşamasında api 25 ile derle api 29 ile derle gibi bir ayar var mı?
"…De ki: "Hiç bilenlerle bilmeyenler bir olur mu? Şüphesiz, temiz akıl sahipleri öğüt alıp-düşünürler" (Zümer Suresi, 9)
Cevapla
#2
Merhaba hocam,

Android Manifest dosyasından Min ve Max SDK sürümlerini ayarlamayı denediniz mi ?

   

Rio sürümü yanlış hatırlamıyorsam 19 ile 28 olarak ayarlıyor.
19' da Android 4.4'e denk.

Berlin sürümü 16 ya da 17' olarak ayarladığı için sorun çıkartmıyor olabilir. ( O zamanlarda Play Console Min SDK sürümümü yükseltmem için uyarıyordu oradan aklımda kalmış. )
Hayat bakış açına göredir ; Baktığında gördüğün görmeni istedikleridir...
Cevapla
#3
(27-07-2019, Saat: 13:51)Mr.Developer Adlı Kullanıcıdan Alıntı: Linkleri Görebilmeniz İçin Üye Olmanız Gerekiyor. Üye Olabilmek İçin Lütfen Buraya Tıklayınız.Merhaba hocam,

Android Manifest dosyasından Min ve Max SDK sürümlerini ayarlamayı denediniz mi ?



Rio sürümü yanlış hatırlamıyorsam 19 ile 28 olarak ayarlıyor.
19' da Android 4.4'e denk.

Berlin sürümü 16 ya da 17' olarak ayarladığı için sorun çıkartmıyor olabilir. ( O zamanlarda Play Console Min SDK sürümümü yükseltmem için uyarıyordu oradan aklımda kalmış. )

uses bilgilerini başka yerden okuyor.
Delphi Tools Options Deployment SDK içindeki ayarları değiştirerek deniyorum ama şu ana kadar netice alamadım.

Ayrıca bu dosya derleme anında dinamik oluşturuluyor diye biliyorum.



<?xml version="1.0" encoding="utf-8"?>
<!-- BEGIN_INCLUDE(manifest) -->
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
       package="%package%"
       android:versionCode="%versionCode%"
       android:versionName="%versionName%"
       android:installLocation="%installLocation%">

   <uses-sdk android:minSdkVersion="%minSdkVersion%" android:targetSdkVersion="%targetSdkVersion%" />
   <%uses-permission%>
   <uses-feature android:glEsVersion="0x00020000" android:required="True"/>
   <application android:persistent="%persistent%"
       android:restoreAnyVersion="%restoreAnyVersion%"
       android:label="%label%"
       android:debuggable="%debuggable%"
       android:largeHeap="%largeHeap%"
       android:icon="%icon%"
       android:theme="%theme%"
       android:hardwareAccelerated="%hardwareAccelerated%"
       android:resizeableActivity="false">
"…De ki: "Hiç bilenlerle bilmeyenler bir olur mu? Şüphesiz, temiz akıl sahipleri öğüt alıp-düşünürler" (Zümer Suresi, 9)
Cevapla


Konu ile Alakalı Benzer Konular
Konular Yazar Yorumlar Okunma Son Yorum
  Listview argument out of range hatası elixir84 7 143 03-10-2019, Saat: 14:41
Son Yorum: elixir84
  IOS Provisioning hatası muratsenocak 4 202 01-10-2019, Saat: 23:06
Son Yorum: gonulali
  Google Play Store'a Uygulama Yükme Hatası glagher 4 293 31-07-2019, Saat: 10:37
Son Yorum: Mr.Developer
  Read-Only Hatası arsl01 8 416 15-06-2019, Saat: 16:08
Son Yorum: sabanakman
  Play Store ' a uygulama atarken 64 bit hatası crowlin 15 1.193 29-05-2019, Saat: 11:50
Son Yorum: crowlin



Konuyu Okuyanlar: 1 Ziyaretçi